On single edit tab wikis, switching from VE to WT does not always set the visualeditor-editor option
Closed, ResolvedPublic8 Story Points

Description

AFAICT it sometimes, but not always, successfully sets this on switching from VE to WT. It seems to always work from WT to VE.

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to High.
Jdforrester-WMF assigned this task to Krenair.
Jdforrester-WMF added a subscriber: Aklapper.
Jdforrester-WMF renamed this task from On single edit tab wikis, the edit tab always loads VE even if the 'VEE' cookie is 'wikitext' to On single edit tab wikis, switching editors is not always setting the visualeditor-editor option to 'wikitext' in Safari, Firefox.Dec 10 2015, 5:59 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF renamed this task from On single edit tab wikis, switching editors is not always setting the visualeditor-editor option to 'wikitext' in Safari, Firefox to On single edit tab wikis, switching from VE to WT does not always set the visualeditor-editor option.Dec 11 2015, 3:27 AM
Jdforrester-WMF updated the task description. (Show Details)

I noticed you removed the FF/Safari tags... Does this mean you reproduced it in a browser like Chrome?
I wonder if the request to store the preference does not always make it through in time in this case? Can you reproduce this with the cookie instead of the visualeditor-editor preference?

I noticed you removed the FF/Safari tags... Does this mean you reproduced it in a browser like Chrome?
I wonder if the request to store the preference does not always make it through in time in this case? Can you reproduce this with the cookie instead of the visualeditor-editor preference?

Yup, reproduced when logged in in Chrome as well; it works fine when logged out, so I imagine user preferences aren't being set reliably in time?

Change 258660 had a related patch set uploaded (by Jforrester):
DesktopArticleTarget: Don't abort in SET mode if veswitched is set

https://gerrit.wikimedia.org/r/258660

Krenair added a subscriber: Krenair.

Change 258660 merged by jenkins-bot:
DesktopArticleTarget: Don't abort in SET mode if veswitched is set

https://gerrit.wikimedia.org/r/258660

I think this can be closed, please check

Krenair claimed this task.Dec 14 2015, 6:37 PM

Still seems broken in beta

Change 259165 had a related patch set uploaded (by Jforrester):
Single Edit Tab: Set switch editor preference via sessionStorage/promise

https://gerrit.wikimedia.org/r/259165

Change 259286 had a related patch set uploaded (by Alex Monk):
Try to actually resolve visualeditor-editor preference setting when switching editors

https://gerrit.wikimedia.org/r/259286

Change 259286 merged by jenkins-bot:
Try to actually resolve visualeditor-editor preference setting when switching editors

https://gerrit.wikimedia.org/r/259286

Jdforrester-WMF closed this task as Resolved.Dec 15 2015, 7:47 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 259165 abandoned by Alex Monk:
Single Edit Tab: Set switch editor preference via sessionStorage/promise

Reason:
issue was fixed by a different commit

https://gerrit.wikimedia.org/r/259165